List authorized Google Drive files
Returns the current tenant's authorized Google Drive asset IDs for the active integration connection/environment.
Returns the current tenant's authorized Google Drive asset IDs for the active integration connection/environment.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
providerConfigKey?string
Default
"google-docs"connectionId?string
Optional connection override when multiple connections exist.
Response Body
application/json
application/json
curl -X GET "https://app.orbiqhq.com/api/v1/integrations/google-docs/authorized-files"{
"success": true,
"data": {
"connectionId": "string",
"environment": "dev",
"integrationUrl": "/integrations",
"files": [
{
"id": "string",
"meta": {},
"name": "string",
"mimeType": "string",
"url": "string"
}
]
}
}Empty
{
"success": false,
"code": "integration_required",
"error": "string",
"data": {
"integrationUrl": "/integrations"
}
}Empty
How is this guide?